%define realname gnome-desktop-sharp

Summary: GnomeDesktop bindings for Mono
Name: lib%{realname}
Version: 2.20.1
Release: alt1
License: LGPLv2+
Group: Development/Other
Packager: Mono Maintainers Team <mono@packages.altlinux.org>
Source: http://ftp.gnome.org/pub/GNOME/sources/%realname/2.20/%realname-%version.tar.bz2
Patch1: gnome-desktop-sharp-2.20.1-fix-gapidir.patch
Patch11: %realname-2.20.0-fix-configs.patch

Url: http://www.mono-project.com/


Provides: libgtksourceview2-sharp = 2.0.0.0-%release
Obsoletes: libgtksourceview2-sharp < 2.0.0.0
Provides: libgtksourceview-sharp = 2.0.0.0-%release
Obsoletes: libgtksourceview-sharp < 2.0.0.0

BuildPreReq: glib2-devel >= 2.10.0
BuildPreReq: libgtk-sharp2-devel >= 2.12.0
BuildPreReq: libgtk-sharp2-gapi >= 2.12.0
BuildPreReq: libgnome-sharp-devel >= 2.20.0
BuildPreReq: libnautilus-cd-burner-devel >= 2.20.0
BuildPreReq: librsvg-devel >= 2.18.2
BuildPreReq: libgtkhtml3-devel >= 3.16.0
BuildPreReq: libgtksourceview2-devel >= 2.0.0
BuildPreReq: libvte-devel >= 0.16.9
BuildPreReq: libwnck-devel >= 2.20.0

BuildPreReq: rpm-build-mono
BuildRequires: /proc
BuildRequires: mono-mcs libSM-devel mono-devel

%description
GnomeDesktop# a .NET language binding for assorted GNOME libraries.
This assembly has following configuration:
   Optional assemblies included in the build:
      * rsvg-sharp.dll: yes
      * gtkhtml-sharp.dll: yes
      * vte-sharp.dll: yes


%package devel
Summary: .Net language bindings for GnomeDesktop: development files
Group: Development/Other
Requires: %name = %version-%release

Provides: libgtksourceview2-sharp-devel = 2.0.0.0-%release
Obsoletes: libgtksourceview2-sharp-devel < 2.0.0.0
Provides: libgtksourceview-sharp-devel = 2.0.0.0-%release
Obsoletes: libgtksourceview-sharp-devel < 2.0.0.0

%description devel
This package includes development files for the Gtk\# project
to parse and bind Gnome libraries.

%prep
%setup -n %realname-%version -q
%patch1 -p1
%patch11 -p1

%build
%autoreconf
%configure --disable-static
%make

%install
%makeinstall

%files
%_libdir/*.so
%_monogacdir/*
%_monodir/*-sharp*
%doc AUTHORS README ChangeLog
%_pkgconfigdir/*

%files devel
%_datadir/gapi-2.0/*.xml

%changelog
* Thu Mar 20 2008 Alexey Shabalin <shaba@altlinux.ru> 2.20.1-alt1
- build for Sisyphus
- obsoletes libgtksourceview2-sharp
- fix gapidir (patch1)
